Package org.eclipse.jface.action

## Interface ExternalActionManager.IActiveChecker

Enclosing class:
  ExternalActionManager

    public static interface ExternalActionManager.IActiveChecker

Defines a callback mechanism for developer who wish to further control the visibility of legacy action-based contribution items.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isActive​(String commandId)` Checks whether the command with the given identifier should be considered active.

### Method Detail

#### isActive

    boolean isActive​(String commandId)

Checks whether the command with the given identifier should be considered active. This can be used in systems using some kind of user interface filtering (e.g., activities in the Eclipse workbench).

Parameters:
  `commandId` - The identifier for the command; must not be `null`
Returns:
  `true` if the command is active; `false` otherwise.